package com.fs.live.domain;

import com.baomidou.mybatisplus.annotation.TableId;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.Date;

/**
 * 直播间学员数据对象 live_student_data
 *
 * @author fs
 * @date 2025-03-11
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class LiveStudentData extends BaseEntity{

    /** 直播间id */
    @TableId
    private Long liveId;

    /** 直播间名称 */
    @Excel(name = "直播间名称")
    private String liveName;

    /** 客户id */
    @Excel(name = "客户id")
    private Long userId;

    /** 客户名 */
    @Excel(name = "客户名")
    private String userName;

    /** 归属部门id */
    @Excel(name = "归属部门id")
    private Long deptId;

    /** 客户电话 */
    @Excel(name = "客户电话")
    private String userPhone;

    /** 客户创建时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:ss:mm")
    @Excel(name = "客户创建时间", width = 30, dateFormat = "yyyy-MM-dd HH:ss:mm")
    private Date userCreateTime;

    /** 分享直播间次数 */
    @Excel(name = "分享直播间次数")
    private Long shareCount;

    /** 归属部门名称 */
    @Excel(name = "归属部门名称")
    private String deptName;

    /** 跟进人姓名 */
    @Excel(name = "跟进人姓名")
    private String companyUserName;

    /** 跟进人id */
    @Excel(name = "跟进人id")
    private Long companyUserId;

    private Long goodsCount;

    private Long questionCount;

}
