package com.fs.live.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.fs.live.domain.LiveQuestionLive;
import com.fs.live.vo.LiveQuestionLiveVO;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface LiveQuestionLiveMapper extends BaseMapper<LiveQuestionLive> {

    /**
     * 查询直播间题目列表
     * @param liveId    直播间ID
     * @return  list
     */
    List<LiveQuestionLiveVO> selectLiveQuestionLiveList(@Param("liveId") Long liveId);

    /**
     * 查询未被直播间选择的题目列表
     * @param liveId    直播间ID
     * @param title     标题
     * @return  list
     */
    List<LiveQuestionLiveVO> selectLiveQuestionOptionList(@Param("liveId") Long liveId, @Param("title") String title);
}
