package com.fs.live.service.impl;

import java.util.List;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.fs.live.mapper.LiveOrderStatusMapper;
import com.fs.live.domain.LiveOrderStatus;
import com.fs.live.service.ILiveOrderStatusService;

/**
 * 订单操作记录Service业务层处理
 * 
 * @author fs
 * @date 2025-07-08
 */
@Service
public class LiveOrderStatusServiceImpl extends ServiceImpl<LiveOrderStatusMapper, LiveOrderStatus> implements ILiveOrderStatusService {

    /**
     * 查询订单操作记录
     * 
     * @param id 订单操作记录主键
     * @return 订单操作记录
     */
    @Override
    public LiveOrderStatus selectLiveOrderStatusById(String id)
    {
        return baseMapper.selectLiveOrderStatusById(id);
    }

    /**
     * 查询订单操作记录列表
     * 
     * @param liveOrderStatus 订单操作记录
     * @return 订单操作记录
     */
    @Override
    public List<LiveOrderStatus> selectLiveOrderStatusList(LiveOrderStatus liveOrderStatus)
    {
        return baseMapper.selectLiveOrderStatusList(liveOrderStatus);
    }

    /**
     * 新增订单操作记录
     * 
     * @param liveOrderStatus 订单操作记录
     * @return 结果
     */
    @Override
    public int insertLiveOrderStatus(LiveOrderStatus liveOrderStatus)
    {
        return baseMapper.insertLiveOrderStatus(liveOrderStatus);
    }

    /**
     * 修改订单操作记录
     * 
     * @param liveOrderStatus 订单操作记录
     * @return 结果
     */
    @Override
    public int updateLiveOrderStatus(LiveOrderStatus liveOrderStatus)
    {
        return baseMapper.updateLiveOrderStatus(liveOrderStatus);
    }

    /**
     * 批量删除订单操作记录
     * 
     * @param ids 需要删除的订单操作记录主键
     * @return 结果
     */
    @Override
    public int deleteLiveOrderStatusByIds(String[] ids)
    {
        return baseMapper.deleteLiveOrderStatusByIds(ids);
    }

    /**
     * 删除订单操作记录信息
     * 
     * @param id 订单操作记录主键
     * @return 结果
     */
    @Override
    public int deleteLiveOrderStatusById(String id)
    {
        return baseMapper.deleteLiveOrderStatusById(id);
    }
}
